$title Policy control file

*	#User input: This should read - $set case [case file name]
$set case 2_reference
$set data argentina1

*	Load data, read in sets and define parameters
$include "..\inputs\load.gms"
$include "..\inputs\sets.gms"
$include "..\inputs\parameters.gms"

* ====================================================================================================================
* 1.	Indicate the type of scenario (only one should be turned on)
* ====================================================================================================================
scenario("benchmark") = 0;
scenario("reference") = 1;
scenario("policy") = 0;

$include "..\inputs\ref_inputs.gms"

* ====================================================================================================================
* 2.	Define policies - all policy flags should be turned off in benchmark replication and reference simulations
* ====================================================================================================================

*	Load the default policy files that turns off all policies 
$include "..\inputs\policies.gms"

*	Turn on desired policy flags (none in the benchmark and reference cases) 

* ====================================================================================================================
*	Call the data construction file 
$include "..\inputs\gtap9data-one.gms"
*	Load elasticities
$include "..\inputs\elasticities.gms"
*	Call the file to read in information for private transportation	
$include "..\inputs\transport.gms"
*	Call the model file 
$include "..\inputs\model.gms"
*	Call file to store the reference values needed for policy scenarios
if(scenario("reference") eq 1,
$include "..\inputs\refstore.gms";
);
*	Store all output in a gdx file
execute_unload "..\results\%case%.gdx";
 	



