$title	Elasticities of substitution for the single country model 

*	Top-level elasticities in production 
esub(g) = 0;
esub("i") = 0;

*	Elasticity of substitution amoung transportation and other consumption
esub("c") = 1;

*	Elasticity of subsitution between imports and domestic production (Armington elasticity)
esuba(i) = 0;	
esuba(i) = 3;
esuba(i) = 0.5*esubd(i);

*	Elasticity of transformation between production for the domestic and export markets
etrne(g) = 0; 
etrne(g) = 1; 
etrne(elea) = 0;

*	Elasticity of substitution between VA and Energy in non-electricity sectors
sigma("kle") = 0.6;

*	Elasticity of substitution between VA and Energy in electricity sectors 
sigma("e_kle") = 0.6;

*	Elasticity of substitution between electricity and non-ellectricity inputs 
sigma("ele_ne") = 0.5;

*	Elasticity of substitution within non electricity inputs (col, oil, gas)
sigma("ne") = 1;

*	Elasticity of substitution between resources and other inputs (fossil fuel prices are controled exogenously, so set these equal to zero)
esub_es(xe) = 0;

*	Elasticity of substitution between energy sources in final demand 
sigma("ene_fd") = 0.4;

*	Elasticity of substitution amoung non-enegry goods in final demand
sigma("ne_fd") = 0.5;

*	Elasticity of substitution amoung energy and non-enegry goods in final demand
sigma("e_ne_fd") = 0.25;

*	Elasticity of substitution between fossil fuel electricity sources
sigma("ele_fos") = 1.6;

*	Elasticity of substitution between aggregate electricity and transmission and distribution
sigma("elec_tnd") = 0;

*	Elasticity of substitution between (aggregate) imported and domestic electricity
sigma("elec_a") = 0;

*	Elasticity of substitution between different types of imported electricity
sigma("elec_m") = 0;

*	Elasticity of substitution between the technology specific factor and other inputs (can be assigned sperately for each technology)
sigma(etsf) = 0; 
sigma("ewin") = 0.2; 
sigma("esol") = 0.2; 
sigma("eoth") = 0.3; 

*	Elasticity of substitution between land and energy-materials in agricultrual sectors
sigma("lem") = 0.1;

*	Elasticity of substitution between resources and capital-labor in agricultrual sectors
sigma("rkl") = 0.05;

*	Elasticity of substitution between other GHGs and production
esubghg(g) = 0.05;
esubghg("ecoa") = 0;
esubghg("egas") = 0;
esubghg("eoil") = 0;